Bug 503191 - [RHEL5.4 Xen]: Tun patch causing connectathon to fail
[RHEL5.4 Xen]: Tun patch causing connectathon to fail
Status: CLOSED ERRATA
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: kernel-xen (Show other bugs)
5.4
All Linux
low Severity medium
: rc
: ---
Assigned To: Herbert Xu
Red Hat Kernel QE team
: Regression
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-05-29 10:36 EDT by Chris Lalancette
Modified: 2009-09-02 04:57 EDT (History)
7 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-09-02 04:57:52 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
epoll keyed wakeups: add __wake_up_locked_key() and __wake_up_sync_key() (5.65 KB, patch)
2009-06-02 23:35 EDT, Herbert Xu
no flags Details | Diff
epoll keyed wakeups: introduce new *_poll() wakeup macros (1.82 KB, patch)
2009-06-02 23:35 EDT, Herbert Xu
no flags Details | Diff
tun: Only wake up writers (833 bytes, patch)
2009-06-02 23:36 EDT, Herbert Xu
no flags Details | Diff
tun: Only wake up writers (627 bytes, patch)
2009-06-03 08:38 EDT, Herbert Xu
no flags Details | Diff

  None (edit)
Description Chris Lalancette 2009-05-29 10:36:42 EDT
Description of problem:
This may or may not be a dup of 500865; I don't think it is at the moment, so I'll file it separately.  Since the -147 kernel, running the RHTS connectathon test in a fully virtualized Xen guest completely fails.  It actually doesn't even start at all; it just hangs when trying to start the first test.  I bisected this down to the rhel5/kernel commit fe4248cfc7fe060a7537f5ae3a37142c77d23bcb.  We'll need to look at fixing this or reverting this patch, otherwise FV guests are going to be very unhappy.
Comment 10 Herbert Xu 2009-06-02 23:35:16 EDT
Created attachment 346345 [details]
epoll keyed wakeups: add __wake_up_locked_key() and __wake_up_sync_key()
Comment 11 Herbert Xu 2009-06-02 23:35:47 EDT
Created attachment 346346 [details]
epoll keyed wakeups: introduce new *_poll() wakeup macros
Comment 12 Herbert Xu 2009-06-02 23:36:16 EDT
Created attachment 346347 [details]
tun: Only wake up writers
Comment 14 Herbert Xu 2009-06-03 08:38:21 EDT
Created attachment 346384 [details]
tun: Only wake up writers

tun: Only wake up writers

When I added socket accounting to tun I inadvertently introduced
spurious wake-up events that kills qemu performance.  The problem
occurs when qemu polls on the tun fd for read, and then transmits
packets.  For each packet transmitted, we will wake up qemu even
if it only cares about read events.

Now this affects all sockets, but it is only a new problem for
tun.  So this patch tries to fix it for tun first and we can then
look at the problem in general.

Signed-off-by: Herbert Xu <herbert@gondor.apana.org.au>
Comment 17 Juan Quintela 2009-06-04 07:45:24 EDT
It also breaks kvm networking. Going back to kernel -149 fixed the problem.
Comment 18 Juan Quintela 2009-06-04 07:58:13 EDT
Grrr, wrong typing.  I am using RHEL 5.4 beta. (-150 kernel).
Went back to -146 as clalance suggestion, and now I have bridging working back with kvm.  I installed -147, and that one already get broked networking.
Comment 25 Don Zickus 2009-06-11 11:37:20 EDT
in kernel-2.6.18-153.el5
You can download this test kernel from http://people.redhat.com/dzickus/el5

Please do NOT transition this bugzilla state to VERIFIED until our QE team
has sent specific instructions indicating when to do so.  However feel free
to provide a comment indicating that this fix has been verified.
Comment 28 errata-xmlrpc 2009-09-02 04:57:52 EDT
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on therefore solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHSA-2009-1243.html

Note You need to log in before you can comment on or make changes to this bug.